@import url('./styles/forms.css');
@import url('./styles/custom-inputs.css');
@import url('./styles/animations.css');
@import url('./styles/buttons.css');
* {
  box-sizing: border-box;
}

html {
  overflow: hidden;
}

:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  /* color-scheme: light dark; */

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  /*CSS Variable Definitions*/

  /* Colors */
  --white: #ffffff;
  --eggshell: #f6efef;
  --off-white: #ffebcd;
  --tyrian-purple: #5f0f40;
  --carmine: #9a031e;
  --ut-orange: #fb8b24;
  --spanish-orange: #e36414;
  --darkgreen-10: #003300;
  --darkgreen-5: #001a00;
  --midnight-green: #0f4c5c;
  --asparagus: #6a994e;
  --lapis-lazuli: #33658a;
  --carolina-blue: #86bbd8;
  --charcoal: #2f4858;
  --rgb50: rgb(50, 50, 50);
  --rgb25: rgb(25, 25, 25);
  --rgba-25-opacity-9: rgba(25, 25, 25, 0.9);
  --rgb-50-opacity-9: rgba(50, 50, 50, 0.9);
  color: var(--rgb50);
  background-color: var(--white);
}

body {
  margin: 0;
  display: flex;
  justify-content: center;
  min-width: 320px;
  height: 100%;
  overflow-y: hidden;
}

.overflow-y-hidden {
  overflow-y: hidden;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

button {
  border-radius: 2.5px;
  border: none;
  /* border: 1px solid transparent; */
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  /* background-color: #1a1a1a; */
  cursor: pointer;
  transition: border-color 0.25s;
}
button:hover {
  /* border-color: #646cff; */
}
button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

/* @media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
  button {
    background-color: #f9f9f9;
  }
} */
